Use almond.js for built version #116

Closed
jorinvo opened this Issue Jan 25, 2013 · 5 comments

3 participants

@jorinvo
Litewrite member

almond.js is included in the project but for some reason it doesn't work in the moment. This should be fixed to reduce the size of litewrite.

@nilclass

Could that possibly have to do with this line: https://github.com/litewrite/litewrite/blob/gh-pages/grunt.js#L6 ?

@jorinvo
Litewrite member

The actual problem is that some dependencies can't be found when you build the js including almond.js. Therefore I added the line you're pointing to temporary disable almond.

@jorinvo jorinvo was assigned Feb 8, 2013
@jorinvo
Litewrite member

The problem is that almond has no support for the fallback notation used here: https://github.com/litewrite/litewrite/blob/gh-pages/js/main.js#L7

As long as we have no good way to declare the fallbacks we keep almond disabled.

@jorinvo jorinvo closed this Feb 8, 2013
@nilclass

Why are the fallbacks so important?

@jancborchardt
Litewrite member

Hm, maybe having cached stuff for when you’re offline, or when the connection to the original resources is shitty. The question is: What’s more important – the fallbacks or using almond?

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment